Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Interface ITableColumnModel

public interface ITableColumnModel

Interface fuer TableColumnModelEvents. Hier wird die Schnittstelle zwischen Control und ActionManager fuer TableColumnModelEvents festgelegt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `addTableColumnModelListener(TableColumnModelListener listener)` Fuegt dem Control den uebergebenen Listener als TableColumnModelListener hinzu.
`String` | `getActionClassForTableColumnModel()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein TableColumnModelEvent ausgeloest wurde.
`void` | `removeTableColumnModelListener(TableColumnModelListener listener)` Entfernt den Listener aus dem Control.
`void` | `setActionClassForTableColumnModel(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein TableColumnModelEvent ausgeloest wurde.

Method Detail

### getActionClassForTableColumnModel

    public String getActionClassForTableColumnModel()

  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein TableColumnModelEvent ausgeloest wurde.

  Returns:
    Der Name der Actionklasse fuer TableColumnModelEvent.

### setActionClassForTableColumnModel

    public void setActionClassForTableColumnModel(String actionClassName)

  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein TableColumnModelEvent ausgeloest wurde.

  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer TableColumnModelEvent.

### addTableColumnModelListener

    public void addTableColumnModelListener(TableColumnModelListener listener)

  Fuegt dem Control den uebergebenen Listener als TableColumnModelListener hinzu.

  Parameters:
    `listener` - Der hinzuzufuegende TableColumnModelListener.

### removeTableColumnModelListener

    public void removeTableColumnModelListener(TableColumnModelListener listener)

  Entfernt den Listener aus dem Control.

  Parameters:
    `listener` - Der zu entfernende Listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD